Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gisgraphy.street
Class StreetSearchErrorVisitor

    java.lang.Object
      com.gisgraphy.street.StreetSearchErrorVisitor

All Implemented Interfaces:
  com.gisgraphy.serializer.common.IoutputFormatVisitor

    public class StreetSearchErrorVisitor

extends Object
implements com.gisgraphy.serializer.common.IoutputFormatVisitor

Visitor (visitor pattern) to return error message according to the format for the geoloc service

Author:
  David Masclet

Field Summary

Fields inherited from interface com.gisgraphy.serializer.common.IoutputFormatVisitor
`DEFAULT_ERROR_MESSAGE`

Constructor Summary
`StreetSearchErrorVisitor()`
`StreetSearchErrorVisitor(String errorMessage)`

Method Summary
`String` | `getErrorMessage()`
`String` | `visitATOM(com.gisgraphy.serializer.common.OutputFormat outputFormat)`
`String` | `visitGEORSS(com.gisgraphy.serializer.common.OutputFormat outputFormat)`
`String` | `visitJSON(com.gisgraphy.serializer.common.OutputFormat format)`
`String` | `visitPHP(com.gisgraphy.serializer.common.OutputFormat format)`
`String` | `visitPYTHON(com.gisgraphy.serializer.common.OutputFormat format)`
`String` | `visitRUBY(com.gisgraphy.serializer.common.OutputFormat format)`
`String` | `visitUNSUPPORTED(com.gisgraphy.serializer.common.OutputFormat format)`
`String` | `visitXML(com.gisgraphy.serializer.common.OutputFormat format)`
`String` | `visitYAML(com.gisgraphy.serializer.common.OutputFormat format)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StreetSearchErrorVisitor

    public StreetSearchErrorVisitor()

### StreetSearchErrorVisitor

    public StreetSearchErrorVisitor(String errorMessage)

Parameters:
  `errorMessage` - The error Message

Method Detail

### visitXML

    public String visitXML(com.gisgraphy.serializer.common.OutputFormat format)

  Specified by:
    `visitXML` in interface `com.gisgraphy.serializer.common.IoutputFormatVisitor`

### visitJSON

    public String visitJSON(com.gisgraphy.serializer.common.OutputFormat format)

  Specified by:
    `visitJSON` in interface `com.gisgraphy.serializer.common.IoutputFormatVisitor`

### visitPYTHON

    public String visitPYTHON(com.gisgraphy.serializer.common.OutputFormat format)

  Specified by:
    `visitPYTHON` in interface `com.gisgraphy.serializer.common.IoutputFormatVisitor`

### visitRUBY

    public String visitRUBY(com.gisgraphy.serializer.common.OutputFormat format)

  Specified by:
    `visitRUBY` in interface `com.gisgraphy.serializer.common.IoutputFormatVisitor`

### visitPHP

    public String visitPHP(com.gisgraphy.serializer.common.OutputFormat format)

  Specified by:
    `visitPHP` in interface `com.gisgraphy.serializer.common.IoutputFormatVisitor`

### visitATOM

    public String visitATOM(com.gisgraphy.serializer.common.OutputFormat outputFormat)

  Specified by:
    `visitATOM` in interface `com.gisgraphy.serializer.common.IoutputFormatVisitor`

### visitGEORSS

    public String visitGEORSS(com.gisgraphy.serializer.common.OutputFormat outputFormat)

  Specified by:
    `visitGEORSS` in interface `com.gisgraphy.serializer.common.IoutputFormatVisitor`

### visitUNSUPPORTED

    public String visitUNSUPPORTED(com.gisgraphy.serializer.common.OutputFormat format)

  Specified by:
    `visitUNSUPPORTED` in interface `com.gisgraphy.serializer.common.IoutputFormatVisitor`

### getErrorMessage

    public String getErrorMessage()

  Specified by:
    `getErrorMessage` in interface `com.gisgraphy.serializer.common.IoutputFormatVisitor`

### visitYAML

    public String visitYAML(com.gisgraphy.serializer.common.OutputFormat format)

  Specified by:
    `visitYAML` in interface `com.gisgraphy.serializer.common.IoutputFormatVisitor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.